Package lxml :: Module etree :: Class XInclude |
[frames] | no frames]

# Class XInclude

    object --+
             |
            XInclude

XInclude(self) XInclude processor.

Create an instance and call it on an Element to run XInclude processing.

Instance Methods
__call__(self, node) |
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
| error_log
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__